| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Private Member Functions | List of all members
SeisTrc2DTranslator Class Reference
Seis

Base translator for 2D Seismics. More...

`#include <seis2dlineio.h>`

Inheritance diagram for SeisTrc2DTranslator:
[legend]

## Public Member Functions
| SeisTrc2DTranslator (const char *s1, const char *s2)
| ~SeisTrc2DTranslator ()
bool | getGeometryInfo (PosInfo::CubeData &) const override
bool | implRemove (const IOObj *, bool) const override
bool | implRename (const IOObj *, const char *) const override
bool | initRead_ () override
| supporting getRanges()
bool | initWrite_ (const SeisTrc &) override
bool | isUserSelectable (bool) const override
void | setDataSet (const Seis2DDataSet &)
Public Member Functions inherited from SeisTrcTranslator
virtual | ~SeisTrcTranslator ()
virtual int | bytesOverheadPerTrace () const
virtual void | cleanUp ()
| Prepare for new initialization.
virtual bool | close ()
void | closingUp ()
bool | commitSelections ()
ObjectSet< TargetComponentData > & | componentInfo ()
const ObjectSet< TargetComponentData > & | componentInfo () const
virtual Conn * | curConn ()
Pos::GeomID | curGeomID () const
const char * | dataName () const
void | enforceRegularWrite (bool yn)
void | enforceSurvinfoWrite (bool yn)
uiString | errMsg () const
virtual int | estimatedNrTraces () const
void | getAllFileNames (BufferStringSet &, bool forui=false) const override
virtual BufferString | getAuxFileName (const char *) const
void | getComponentNames (BufferStringSet &) const
virtual Interval< float > | getDataRange (int icomp=-1) const
SeisTrc * | getEmpty ()
virtual const BufferString | getFileNameKey (int idx) const
SeisTrc * | getFilled (const BinID &)
virtual bool | goTo (const BinID &)
virtual bool | haveAux (const char *) const
bool | havePars () const
bool | haveProc () const
bool | haveStats () const
bool | haveWarnings () const
bool | initRead (Conn *, Seis::ReadMode rt=Seis::Prod)
bool | initWrite (Conn *, const SeisTrc &)
virtual bool | inlCrlSorted () const
int | inpNrSamples () const
const SamplingData< float > & | inpSD () const
const ObjectSet< ComponentData > & | inputComponentData () const
bool | is2D () const
bool | isPS () const
bool | isUserSelectable (bool) const override
int | nrSelComps () const
IOObj::Status | objStatus () const
int | outNrSamples () const
const SamplingData< float > & | outSD () const
SeisPacketInfo & | packetInfo ()
virtual bool | read (SeisTrc &)
virtual bool | readData (TraceData *extbuf=nullptr)
virtual bool | readDataPack (RegularSeisDataPack &, TaskRunner *=nullptr)
virtual bool | readInfo (SeisTrcInfo &)
bool | readTraceData (TraceData *td=nullptr)
int | selComp (int nr=0) const
const Seis::SelData * | selData () const
void | setComponentNames (const BufferStringSet &)
virtual void | setCoordSys (const Coords::CoordSystem &)
virtual void | setCurGeomID (Pos::GeomID)
void | setDataName (const char *nm)
virtual void | setIs2D (bool yn)
virtual void | setIsPS (bool yn)
void | setSelData (const Seis::SelData *t)
virtual bool | skip (int nrtrcs=1)
virtual bool | supportsGoTo () const
virtual bool | supportsMultiCompTrc () const
const LinScaler * | traceScaler () const
void | usePar (const IOPar &) override
const BufferStringSet & | warnings () const
virtual bool | write (const SeisTrc &)
Public Member Functions inherited from Translator
virtual | ~Translator ()
virtual const char * | connType () const
virtual IOObj * | createWriteIOObj (const IOObjContext &, const MultiID &) const
virtual const char * | defExtension () const
virtual const char * | defImplExtension () const
virtual bool | getConfirmRemoveMsg (const IOObj *, uiString &msg, uiString &canceltxt, uiString &deepremovetxt, uiString &shallowremovetxt) const
const char * | getDisplayName () const
| "username [group]"
virtual Translator * | getNew () const =0
mOD_DisableCopy(Translator) const OD const TranslatorGroup * | group () const
virtual const char * | iconName () const
virtual bool | implExists (const IOObj *, bool forread) const
virtual void | implFileNames (const IOObj *, BufferStringSet &) const
virtual bool | implIsLink (const IOObj *) const
virtual bool | implReadOnly (const IOObj *) const
virtual bool | implRelocate (const IOObj *, const char *newfnm, const char *oldfnm=nullptr)
virtual bool | implSetReadOnly (const IOObj *, bool) const
virtual const uiString & | message () const
virtual int | nrImpls (const IOObj *) const
void | setGroup (TranslatorGroup *g)
uiString | sSelObjectIsWrongType ()
virtual bool | supportsReadFromCloud () const
virtual bool | supportsWriteToCloud () const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Attributes
const Seis2DDataSet * | dataset_ = nullptr
Protected Attributes inherited from SeisTrcTranslator
ObjectSet< ComponentData > | cds_
BufferStringSet * | compnms_ = nullptr
Conn * | conn_ = nullptr
ConstRefMan< Coords::CoordSystem > | coordsys_
const LinScaler * | curtrcscalebase_ = nullptr
BufferString | dataname_
bool | datareaddone_ = false
bool | enforce_regular_write
bool | enforce_survinfo_write
uiString | errmsg_
Pos::GeomID | geomid_
bool | headerdonenew_ = false
int | innrsamples_
ComponentData ** | inpcds_ = nullptr
SamplingData< float > | insd_
bool | is_2d = false
bool | is_prestack = false
IOObj::Status | objstatus_ = IOObj::Status::Unknown
TargetComponentData ** | outcds_ = nullptr
int | outnrsamples_
SamplingData< float > | outsd_
SeisPacketInfo & | pinfo_
Seis::ReadMode | read_mode = Seis::Prod
Interval< int > | samprg_
const Seis::SelData * | seldata_ = nullptr
TraceData * | storbuf_ = nullptr
ObjectSet< TargetComponentData > | tarcds_
SeisTrcBuf & | trcblock_
LinScaler * | trcscalebase_ = nullptr
BufferStringSet & | warnings_
TypeSet< int > | warnnrs_
Protected Attributes inherited from Translator
TranslatorGroup * | group_ = nullptr
uiString | msg_
BufferString | typname_
BufferString | usrname_

## Private Member Functions
od_int64 | getFileSize (const IOObj *=nullptr) const override

## Additional Inherited Members
Static Public Member Functions inherited from SeisTrcTranslator
static bool | getRanges (const IOObj &, TrcKeyZSampling &)
static bool | getRanges (const MultiID &, TrcKeyZSampling &)
static bool | is2D (const IOObj &, bool only_internal=false)
static bool | isLineSet (const IOObj &)
static bool | isPS (const IOObj &, bool only_internal=false)
static void | setCoordSys (const Coords::CoordSystem &, IOPar &)
static void | setGeomID (Pos::GeomID, IOPar &)
static void | setType (Seis::GeomType, IOPar &)
static const char * | sKeyIs2D ()
static const char * | sKeyIsPS ()
static const char * | sKeyRegWrite ()
static const char * | sKeySeisTrPars ()
static const char * | sKeySIWrite ()
Static Public Member Functions inherited from Translator
static const Translator * | getTemplateInstance (const char *displayname)
static uiString | sBadConnection ()
static uiString | sNoIoobjMsg ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Protected Member Functions inherited from SeisTrcTranslator
| SeisTrcTranslator (const char *, const char *)
void | addComp (const DataCharacteristics &, const char *nm=nullptr, int dtype=0)
virtual void | addWarn (int, const char *)
virtual void | blockDumped (int nrtrcs)
virtual bool | commitSelections_ ()
virtual bool | dumpBlock ()
| will call blockDumped()
virtual bool | forRead () const
bool | initConn (Conn *)
void | prepareComponents (SeisTrc &, int actualsz) const
virtual bool | prepareWriteBlock (StepInterval< int > &, bool &)
void | setDataType (int icomp, int d)
virtual bool | writeTrc_ (const SeisTrc &)
Protected Member Functions inherited from Translator
| Translator (const char *nm, const char *usr_nm)
Static Protected Member Functions inherited from Translator
static BufferString | getAssociatedFileName (const char *fnm, const char *extension)
static BufferString | getAssociatedFileName (const IOObj &, const char *extension)
static bool | removeAssociatedFile (const char *fnm, const char *ext)
static bool | renameAssociatedFile (const char *fnm, const char *ext, const char *newnm)
static bool | renameLargeFile (const char *fnm, const char *newfnm, const CallBack *cb=nullptr)
static bool | setPermAssociatedFile (const char *fnm, const char *ext, bool setwritable)

## Detailed Description

Base translator for 2D Seismics.

<>

## Constructor & Destructor Documentation

## ◆ SeisTrc2DTranslator()

SeisTrc2DTranslator::SeisTrc2DTranslator | ( | const char * | s1,
|  | const char * | s2 )

## ◆ ~SeisTrc2DTranslator()

SeisTrc2DTranslator::~SeisTrc2DTranslator | ( |  | ) |

## Member Function Documentation

## ◆ getFileSize()

od_int64 SeisTrc2DTranslator::getFileSize | ( | const IOObj * | = nullptr | ) | const
| override private virtual

Reimplemented from Translator.

## ◆ getGeometryInfo()

bool SeisTrc2DTranslator::getGeometryInfo | ( | PosInfo::CubeData & |  | ) | const
| override virtual

Reimplemented from SeisTrcTranslator.

## ◆ implRemove()

bool SeisTrc2DTranslator::implRemove | ( | const IOObj * | ,
|  | bool | ) const
| override virtual

Reimplemented from Translator.

## ◆ implRename()

bool SeisTrc2DTranslator::implRename | ( | const IOObj * | ,
|  | const char * | ) const
| override virtual

Reimplemented from Translator.

## ◆ initRead_()

bool SeisTrc2DTranslator::initRead_ | ( |  | ) |
| override virtual

supporting getRanges()

Reimplemented from SeisTrcTranslator.

## ◆ initWrite_()

bool SeisTrc2DTranslator::initWrite_ | ( | const SeisTrc & |  | ) |
| inline override virtual

Reimplemented from SeisTrcTranslator.

## ◆ isUserSelectable()

bool SeisTrc2DTranslator::isUserSelectable | ( | bool |  | ) | const
| inline override virtual

Reimplemented from Translator.

## ◆ setDataSet()

void SeisTrc2DTranslator::setDataSet | ( | const Seis2DDataSet & |  | ) |

## Member Data Documentation

## ◆ dataset_

const Seis2DDataSet* SeisTrc2DTranslator::dataset_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025